CircleShapeDecoration (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.awt
Class CircleShapeDecoration

    java.lang.Object
      com.bbn.openmap.omGraphics.awt.AbstractShapeDecoration
          com.bbn.openmap.omGraphics.awt.CircleShapeDecoration

All Implemented Interfaces:
  Revertable, ShapeDecoration

    public class CircleShapeDecoration

extends AbstractShapeDecoration

A ShapeDecoration that draws a circle on the path.

Field Summary

Fields inherited from interface com.bbn.openmap.omGraphics.awt.ShapeDecoration
`LEFT, RIGHT`

Constructor Summary
`CircleShapeDecoration(int length, int radius)` Constructor.
`CircleShapeDecoration(int length, int radius, java.awt.Paint paint)` Constructor.

Method Summary
`void` | `draw(java.awt.Graphics g, java.awt.geom.Point2D[] points, boolean complete)` Draws itself along the specified polyline Called by ShapeDecorator
`boolean` | `isFilled()` Returns the filled boolean.
`void` | `setFilled(boolean filled)` Sets the filled (draw a half disk or a half circle ?).

Methods inherited from class com.bbn.openmap.omGraphics.awt.AbstractShapeDecoration
`getLength, getOrientation, getPaint, getStroke, getWidth, restoreGraphics, revert, setGraphics, setLength, setOrientation, setPaint, setStroke, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircleShapeDecoration

    public CircleShapeDecoration(int length,
                                 int radius)

  Constructor.

  Parameters:
    `length` - number of pixels of segment to draw circle in.
    `radius` - number of pixels for radius of circle.

### CircleShapeDecoration

    public CircleShapeDecoration(int length,
                                 int radius,
                                 java.awt.Paint paint)

  Constructor.

  Parameters:
    `length` - number of pixels of segment to draw circle in.
    `radius` - number of pixels for radius of circle.
    `paint` - the Paint to use for the circle.

Method Detail

### draw

    public void draw(java.awt.Graphics g,
                     java.awt.geom.Point2D[] points,
                     boolean complete)

  Description copied from interface: `ShapeDecoration`
  Draws itself along the specified polyline Called by ShapeDecorator

    `points` - the polyline
    `complete` - true if the polyline length equals the decoration length
  See Also:
    `ShapeDecoration.draw(Graphics, Point2D[], boolean)`

### isFilled

    public boolean isFilled()

  Returns the filled boolean.

  Returns:
    boolean

### setFilled

    public void setFilled(boolean filled)

  Sets the filled (draw a half disk or a half circle ?).

  Parameters:
    `filled` - The filled to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details